package cn.iocoder.yudao.module.order.convert.orderConsignor;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.orderConsignor.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderConsignor.OrderConsignorDO;

/**
 * 订单发货人信息 Convert
 * @author 系统管理员
 */
@Mapper
public interface OrderConsignorConvert {
    /*****转换MapStruct*****/
    OrderConsignorConvert INSTANCE = Mappers.getMapper(OrderConsignorConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderConsignorDO convert(OrderConsignorCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderConsignorDO convert(OrderConsignorUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderConsignorBackVO convert(OrderConsignorDO bean);

    /***
     * 返回VO转实体
     * @param bean
     * @return
     */
    OrderConsignorDO convert(OrderConsignorBackVO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderConsignorBackVO> convertList(List<OrderConsignorDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderConsignorBackVO> convertPage(PageResult<OrderConsignorDO> page);
}
